CREATE TABLE recipe_embedding (
    recipe_id INT NOT NULL,
    timestamp TIMESTAMPTZ(6) NOT NULL,
    embedding VECTOR(1024),
    PRIMARY KEY (recipe_id),
    FOREIGN KEY (recipe_id) REFERENCES recipe ON DELETE CASCADE
);
